lirc_mod_mce and lirc 0.8.2 pre2

Help
Duca
2007-04-28
2013-04-15
  • Duca

    Duca - 2007-04-28

    Hi Florian

    I was playing around with lirc 0.8.2 pre2 on my gentoo box, and discovered that lirc_ mod_mce wouldn’t work with it. I tried to recompile it on another machine (also with 0.8.2 pre2) with the same result, just to be sure that it wasn’t some buggy libraries on machine 1 causing the error.

    Here is the output from dmesg after inserting lirc_mod_mce module:
    lirc_mod_mce: Input driver for Microsoft MCE 2005 keyboard v0.1.3
    lirc_mod_mce: Florian Demski
    lirc_mod_mce: debug mode enabled
    lirc_mod_mce 6-2:1.0: usb_probe_interface
    lirc_mod_mce 6-2:1.0: usb_probe_interface - got id
    lirc_mod_mce: usb probe called
    usb 6-2: reset full speed USB device using uhci_hcd and address 2
    usb 6-2: ep0 maxpacket = 16
    usbdev6.2_ep01: ep_device_release called for usbdev6.2_ep01
    usbdev6.2_ep81: ep_device_release called for usbdev6.2_ep81
    lirc_mod_mce: acceptable outbound endpoint found
    lirc_mod_mce: acceptable inbound endpoint found
    lirc_dev: lirc_register_plugin: sample_rate: 0
    lirc_dev: lirc_register_plugin: no module owner registered
    lirc_mod_mce[2]: out of memory (code=9)
    lirc_mod_mce: probe of 6-2:1.0 failed with error -12
    usbcore: registered new interface driver lirc_mod_mce

    the module gets loaded but no lirc entry in /dev.
    My kernel is 2.6.20.4
    I “downgraded” lirc to 0.8.1 and lirc_mod_mce loaded perfect again, so no problem right now I’ll stick to 0.8.1 (since 0.8.2 is still beta), but it could might be a problem in the future.
    But ones again thanks for the amazing job you have done! :)

    BTW. Lirc_mod_mce is version 0.1.4

     
    • Michele Sardo

      Michele Sardo - 2007-06-18

      Hi,

      I had the same error as yours for lirc-0.8.2 and I fixed it by replacing lirc_dev.h in lirc_mod_mce with lirc-0.8.2/drivers/lirc_dev/lirc_dev.h.

      Cheers

      Michele

       
    • Robert Fullarton

      Hi,
         I had the same problem in ubuntu 7.04. When you install lirc_modules_sources you get this package at the moment - lirc-modules-2.6.20-15-generic_0.8.1+cvs20070310-0ubuntu2+2.6.20-15.27_i386.deb
      which is most likely 0.8.2 pre2.
      When I followed Michele's instructions the module loads as it should.

      Robert

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks